Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote
Interface Processor<S>

All Known Implementing Classes:
  AbstractAjpProcessor, AbstractHttp11Processor, AbstractProcessor, AjpAprProcessor, AjpNioProcessor, AjpProcessor, Http11AprProcessor, Http11NioProcessor, Http11Processor, UpgradeAprProcessor, UpgradeBioProcessor, UpgradeNioProcessor, UpgradeProcessor

    public interface Processor<S>

Common interface for processors of all protocols.

Method Summary
`AbstractEndpoint.Handler.SocketState` | `asyncDispatch(SocketStatus status)`
`AbstractEndpoint.Handler.SocketState` | `asyncPostProcess()`
`AbstractEndpoint.Handler.SocketState` | `event(SocketStatus status)`
`Executor` | `getExecutor()`
`Request` | `getRequest()`
`UpgradeInbound` | `getUpgradeInbound()`
`boolean` | `isAsync()`
`boolean` | `isComet()`
`boolean` | `isUpgrade()`
`AbstractEndpoint.Handler.SocketState` | `process(SocketWrapper<S> socketWrapper)`
`void` | `recycle(boolean socketClosing)`
`void` | `setSslSupport(SSLSupport sslSupport)`
`AbstractEndpoint.Handler.SocketState` | `upgradeDispatch()`

Method Detail

### getExecutor

    Executor getExecutor()

### process

    AbstractEndpoint.Handler.SocketState process(SocketWrapper<S> socketWrapper)
                                                 throws IOException

  Throws:
    `IOException`

### event

    AbstractEndpoint.Handler.SocketState event(SocketStatus status)
                                               throws IOException

  Throws:
    `IOException`

### asyncDispatch

    AbstractEndpoint.Handler.SocketState asyncDispatch(SocketStatus status)

### asyncPostProcess

    AbstractEndpoint.Handler.SocketState asyncPostProcess()

### getUpgradeInbound

    UpgradeInbound getUpgradeInbound()

### upgradeDispatch

    AbstractEndpoint.Handler.SocketState upgradeDispatch()
                                                         throws IOException

  Throws:
    `IOException`

### isComet

    boolean isComet()

### isAsync

    boolean isAsync()

### isUpgrade

    boolean isUpgrade()

### getRequest

    Request getRequest()

### recycle

    void recycle(boolean socketClosing)

### setSslSupport

    void setSslSupport(SSLSupport sslSupport)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.